summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorPeng Huang <shawn.p.huang@gmail.com>2009-10-10 07:07:11 +0800
committerPeng Huang <shawn.p.huang@gmail.com>2009-10-10 07:07:11 +0800
commit8b3a7e9dbfa097c594cc31c55c04ab72661ef033 (patch)
tree0f6d46b1d617f4f83ca9ce54f290197a66953a2e /autogen.sh
parentd78465f9eb4fa032888b60c9ecf6a6c744f2ecd8 (diff)
downloadibus-libpinyin-8b3a7e9dbfa097c594cc31c55c04ab72661ef033.tar.gz
ibus-libpinyin-8b3a7e9dbfa097c594cc31c55c04ab72661ef033.tar.xz
ibus-libpinyin-8b3a7e9dbfa097c594cc31c55c04ab72661ef033.zip
Use gnome-autogen and update zh_CN.po
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh32
1 files changed, 20 insertions, 12 deletions
diff --git a/autogen.sh b/autogen.sh
index 9e533f0..0015c7b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,13 +1,21 @@
#!/bin/sh
-set -e
-set -x
-
-autopoint
-libtoolize --automake --copy
-aclocal -I m4
-autoheader
-automake --add-missing --copy
-autoconf
-export CFLAGS="-Wall -g -O0 -Wl,--no-undefined"
-export CXXFLAGS="$CFLAGS"
-./configure --enable-maintainer-mode $*
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="ibus-pinyin"
+
+(test -f $srcdir/configure.ac \
+ && test -f $srcdir/README ) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+
+ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I m4" REQUIRED_AUTOMAKE_VERSION=1.8 . gnome-autogen.sh